<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:op="utc.fr:ics/opale3" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:java="http://xml.apache.org/xslt/java" xmlns:opa="kelis.fr:opa" exclude-result-prefixes="sfacet op sp java opa " extension-element-prefixes="sfacet op sp java opa " >

<xsl:param name="pItem"/>
<xsl:param name="pIdSubItem"/>
<xsl:param name="pOutlineContext"/>
<xsl:param name="pIncludeTitle"/>

<xsl:template match="/sc:item">
<xsl:choose>
<xsl:when test="$pIdSubItem">
<itemRoot xp="id('{$pIdSubItem}')">
<xsl:if test="$pIncludeTitle"><xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="titleNode"/></xsl:if>
<xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="children"/>
</itemRoot>
</xsl:when>
<xsl:otherwise>
<itemRoot xp="sc:item">
<xsl:if test="$pIncludeTitle"><xsl:apply-templates select="opa:case" mode="titleNode"/></xsl:if>
<xsl:apply-templates select="opa:case" mode="children"/>
</itemRoot>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="opa:case" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="opa:caseM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="opa:case" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="opa:case/sp:start">
<node xp="opa:case/sp:start[{count(preceding-sibling::sp:start) + 1}]" name="Departure stage">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="opa:case/sp:outline">
<node xp="opa:case/sp:outline[{count(preceding-sibling::sp:outline) + 1}]" name="Map of the study">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="opa:case/sp:map">
<node xp="opa:case/sp:map[{count(preceding-sibling::sp:map) + 1}]" name="Map">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="opa:map" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="opa:map" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="opa:map/sp:node">
<node xp="opa:map/sp:node[{count(preceding-sibling::sp:node) + 1}]" name="Stage">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="opa:map/sp:sub">
<node xp="opa:map/sp:sub[{count(preceding-sibling::sp:sub) + 1}]" name="Subfolder">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="opa:folder" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="opa:folderM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="opa:folder" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="opa:folder/sp:node">
<node xp="opa:folder/sp:node[{count(preceding-sibling::sp:node) + 1}]" name="Stage">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="opa:folder/sp:sub">
<node xp="opa:folder/sp:sub[{count(preceding-sibling::sp:sub) + 1}]" name="Subfolder">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtRes" mode="titleNode">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtRes" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>


<xsl:template match="node()|@*"/>
<xsl:template match="node()|@*" mode="titleNode"/>
<xsl:template match="node()|@*" mode="children"/>
</xsl:stylesheet>